summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_localhooks
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:46 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:14:51 +0100
commitfe6eb1c593e2df135c8807bf94df614984b4d6ec (patch)
tree693b803dcc6473a8699f0c605c92b10c24755e28 /helpers/lh_chroot_localhooks
parent470cf1764bf56b32addff591cfe3fd69af0e5760 (diff)
downloadlive-build-fe6eb1c593e2df135c8807bf94df614984b4d6ec.zip
live-build-fe6eb1c593e2df135c8807bf94df614984b4d6ec.tar.gz
Adding live-helper 1.0~a1-1.
Diffstat (limited to 'helpers/lh_chroot_localhooks')
-rwxr-xr-xhelpers/lh_chroot_localhooks53
1 files changed, 53 insertions, 0 deletions
diff --git a/helpers/lh_chroot_localhooks b/helpers/lh_chroot_localhooks
new file mode 100755
index 0000000..4d0bf3b
--- /dev/null
+++ b/helpers/lh_chroot_localhooks
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# lh_chroot_localhooks(1) - execute hooks in chroot
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/chroot
+Set_defaults
+
+# Requiring stage file
+Require_stagefile "${LIVE_ROOT}"/.stage/bootstrap
+
+# Checking stage file
+Check_stagefile "${LIVE_ROOT}"/.stage/chroot_localhooks
+
+# Checking lock file
+Check_lockfile "${LIVE_ROOT}"/.lock
+
+# Creating lock file
+Create_lockfile "${LIVE_ROOT}"/.lock
+
+# Processing localhooks
+if ls "${LIVE_ROOT}"/config/chroot_localhooks/* &> /dev/null
+then
+ for HOOK in "${LIVE_ROOT}"/config/chroot_localhooks/*
+ do
+ # Copying hook
+ cp "${HOOK}" "${LIVE_CHROOT}"/root
+
+ # Making hook executable
+ if [ -x "${LIVE_CHROOT}"/root/"${HOOK}" ]
+ then
+ chmod +x "${LIVE_CHROOT}"/root/${HOOK}
+ fi
+
+ # Executing hook
+ Chroot "/root/`basename ${HOOK}`"
+
+ # Removing hook
+ rm -f "${LIVE_CHROOT}"/"`basename ${HOOK}`"
+ done
+
+ # Creating stage file
+ Create_stagefile "${LIVE_ROOT}"/.stage/chroot_localhooks
+fi